oCoreoCore Docs
API Reference

Archived

Get archived entity counts

Returns count of soft-deleted entities per type.

GET
/admin/archived/summary

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/admin/archived/summary" \
  -H "Authorization: <token>"

OK

{
  "property1": 0,
  "property2": 0
}

List archived entities of a given type

Returns a paginated list of soft-deleted entities filtered by type.

GET
/admin/archived/{entity_type}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

entity_typeRequiredstring

Entity type (backups, environments, instances, projects, organizations, servers, domains, users)

Query Parameters

pageinteger

Page number

limitinteger

Page size

curl -X GET "//api.ocore.dev/api/admin/archived/<string>?page=0&limit=0" \
  -H "Authorization: <token>"

OK

{
  "items": [
    {
      "deleted_at": "string",
      "id": "string",
      "metadata": {},
      "name": "string",
      "type": "string"
    }
  ],
  "total_count": 0
}

Permanently delete a soft-deleted entity

Hard-deletes a soft-deleted entity using SkipSoftDelete context. For backups, also enqueues storage cleanup.

DELETE
/admin/archived/{entity_type}/{id}/purge

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

entity_typeRequiredstring

Entity type

idRequiredstring

Entity ID

Format: "uuid"
curl -X DELETE "//api.ocore.dev/api/admin/archived/<string>/497f6eca-6276-4993-bfeb-53cbbbba6f08/purge" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Restore a soft-deleted entity

Clears the deleted_at timestamp to restore a soft-deleted entity.

POST
/admin/archived/{entity_type}/{id}/restore

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

entity_typeRequiredstring

Entity type

idRequiredstring

Entity ID

Format: "uuid"
curl -X POST "//api.ocore.dev/api/admin/archived/<string>/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Was this page helpful?